package org.xyzh.common.dto.user;
import org.xyzh.common.dto.BaseDTO;

/**
 * @description    TbSysUser.java文件描述
 * @filename    TbSysUser.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-10
 */
public class TbSysUser extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description    用户名
     * @author    yslg
     * @since 2025-09-10
     */
    private String username;
    
    /**
     * @description    密码
     * @author    yslg
     * @since 2025-09-10
     */
    private String password;

    /**
     * @description    邮箱
     * @author    yslg
     * @since 2025-09-10
     */
    private String email;

    /**
     * @description    手机号
     * @author    yslg
     * @since 2025-09-10
     */
    private String phone;

    /**
     * @description    微信号
     * @author    yslg
     * @since 2025-09-10
     */
    private String wechatID;

    /**
     * @description    用户状态
     * @author    yslg
     * @since 2025-09-10
     */
    private Integer status;



    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getWechatID() {
        return wechatID;
    }

    public void setWechatID(String wechatID) {
        this.wechatID = wechatID;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "TbSysUser{" +
                "id=" + getID() +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", email='" + email + '\'' + 
                ", phone='" + phone + '\'' +
                ", wechatID='" + wechatID + '\'' +
                ", status=" + status +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }

}
